# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      db.py
# Author:        liunian
# Datetime:      2024/1/6 10:47
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from APITestFrame1.common.read_ini import Read_ini
from APITestFrame1.data_config.settings import *


class DB:
    def __init__(self):
        """连接数据库，创建游标"""
        read_ini = Read_ini()
        self.conn = pymysql.connect(
            host=read_ini.get_sql(SQL_HOST),
            port=int(read_ini.get_sql(SQL_PORT)),
            user=read_ini.get_sql(SQL_USER),
            password=read_ini.get_sql(SQL_PWD),
            database=read_ini.get_sql(SQL_DATABASE),
            charset="utf8"
        )
        self.cursor = self.conn.cursor()

    def select(self, sql_content: str):
        """sql查询语句"""
        try:
            self.cursor.execute(sql_content)
        except:
            raise ValueError("请察看sql语句是否正确")
        else:
            return self.cursor.fetchall()[0][0]

    def delete(self, sql_content: str):
        """sql删除语句"""
        try:
            self.cursor.execute(sql_content)
            self.conn.commit()
        except:
            raise ValueError("请察看sql语句是否正确")

    def close(self):
        """关闭sql连接"""
        self.cursor.close()
        self.conn.close()


if __name__ == '__main__':
    print(DB().select('select ID_ from uc_demension WHERE `CODE_`="test58_dem_abc"'))
