# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:        liunian
# Datetime:      2024/1/6 9:27
# Description:
# 
# ---------------------------------------------------------------------------
import configparser
import os

from APITestFrame1.data_config.settings import *


class Read_ini:
    def __init__(self):
        """获取配置文件路径，并读取数据"""
        configini_path = os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config"),
                                      "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(configini_path, encoding="utf-8")

    def get_host(self, key):
        """获取ini文件中的域名IP"""
        try:
            res = self.conf.get(HOST, key)
        except:
            raise KeyError("传入的key值有误~~~")
        else:
            return res
    def get_sql(self,key):
        """获取ini文件中的sql配置"""
        try:
            res=self.conf.get(SQL,key)
        except:
            raise KeyError("传入的key值有误~~~")
        else:
            return res

if __name__ == '__main__':
    print(Read_ini().get_host(SYSTEM_URL))
    print(Read_ini().get_sql(SQL_PWD))
