# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      test_template.py
# Author:        liunian
# Datetime:      2024/1/6 11:20
# Description:
# 
# ---------------------------------------------------------------------------
import logging

import allure
import pytest

from APITestFrame1.common import log_decorator
from APITestFrame1.common.read_excel import Read_excel
from APITestFrame1.test_case.test_template import *


class TestTemplate:
    @log_decorator
    @allure.epic("BPM系统-模板")
    @pytest.mark.parametrize(
        "get_module_name,get_API_name, get_title_name, get_case_level, get_request_method, get_url_path, get_media_type,get_case_data, get_expect_data, get_sql_type, get_sql_content, get_update_key",
        Read_excel(excel_path=excel_path, case_path=case_path, expect_path=expect_path,
                   sql_path=sql_path, table_name=table_name).datas())
    def test_template(self, req_fix, db_fix, get_module_name, get_API_name, get_title_name, get_case_level, get_request_method,
                      get_url_path, get_media_type,
                      get_case_data, get_expect_data, get_sql_type, get_sql_content, get_update_key):
        # 调用allure的功能，影响报告的内容
        allure.dynamic.feature(get_module_name)
        allure.dynamic.story(get_API_name)
        allure.dynamic.title(get_title_name)
        allure.dynamic.severity(get_case_level)
        # print(get_case_data, get_expect_data, get_sql_type, get_sql_content, get_update_key)
        if get_sql_type == "delete":
            db_fix.delete(get_sql_content)
        elif get_sql_type == "select":
            ids = db_fix.select(get_sql_content)
            get_case_data[get_update_key] = ids
        elif get_sql_type == "delete|select" or get_sql_type == "select|delete":
            db_fix.delete(get_sql_content["delete"])
            ids = db_fix.select(get_sql_content["select"])
            get_case_data[get_update_key] = ids
        # print(get_url_path, get_request_method, get_case_data, get_media_type)
        result = req_fix.request_all(req_url=get_url_path, req_method=get_request_method, media_type=get_media_type,
                                     req_data=get_case_data)
        try:
            for i in get_expect_data.keys():
                assert get_expect_data[i] == result.json().get(i)
        except:
            logging.error("断言失败：用例为：" + str(get_case_data) + "期望数据为：" + str(get_expect_data) + "服务器返回数据为：" + result.text)
            raise AssertionError("断言失败")
        else:
            print("断言成功")


if __name__ == '__main__':
    pytest.main()
